Update a usage threshold alert

View as Markdown
Update the recipients list of an existing usage threshold alert. Only `recipients` may be modified; `threshold` is fixed at registration time because it is stored on UCP itself and changing it would require tearing down and recreating the alert. To change the threshold, delete and recreate the alert. Providing a `recipients` value **overwrites** the existing list rather than appending to it; to add a new recipient include the existing recipients in the request as well. If the creator wants to be notified when the alert fires they must include their own email address in this list. **Required role:** `air_org_admin`

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

alert_idstringRequiredformat: "uuid"

Request

This endpoint expects an object.
recipientslist of stringsOptional

Email addresses notified when UCP fires the webhook. Providing a value on update overwrites the existing recipients rather than appending to them; to add a new recipient include the existing recipients in the request as well.

Response

alert_idstringRead-onlyformat: "uuid"
The UUID UCP assigned to the alert when it was registered.
alert_typeenum

The UCP webhook event this alert is registered for.

  • USAGE_REMAINING_ALERT - USAGE_REMAINING_ALERT
  • USAGE_GRANT_THRESHOLD_REACHED - USAGE_GRANT_THRESHOLD_REACHED
  • USAGE_GRANT_EXHAUSTED - USAGE_GRANT_EXHAUSTED
  • CONTRACT_ENDED - CONTRACT_ENDED
thresholdintegerRead-only
Remaining balance in compute hours at which UCP will fire the webhook back to Air.
recipientslist of strings

Email addresses notified when UCP fires the webhook. Providing a value on update overwrites the existing recipients rather than appending to them; to add a new recipient include the existing recipients in the request as well.

last_fireddatetime or nullRead-only
When Air last dispatched an email for this alert, or null if it has never fired.
creatorstringRead-only
Email of the client that registered this alert.
org_display_namestringRead-only
Display name of the organization this alert belongs to.
ngc_org_namestringRead-only
NGC org name of the organization this alert belongs to.
org_nca_idstringRead-only
NCA id of the organization this alert belongs to.
createddatetimeRead-only
modifieddatetimeRead-only

Errors

400
Bad Request Error
403
Forbidden Error
404
Not Found Error
500
Internal Server Error